## rtpg726depay rtpg726depay |

## Properties

gboolean | force-aal2 | Read / Write

## Types and Values

struct | GstRtpG726Depay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBaseDepayload
                        ╰── GstRtpG726Depay

## Description

## Synopsis

### Element Information

plugin | rtp
author | Axis Communications <dev-gstreamer@axis.com>
class | Codec/Depayloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-rtp, media=(string)audio, encoding-name=(string){ G726, G726-16, G726-24, G726-32, G726-40, AAL2-G726-16, AAL2-G726-24, AAL2-G726-32, AAL2-G726-40 }, clock-rate=(int)8000

name | src
direction | source
presence | always
details | audio/x-adpcm, channels=(int)1, rate=(int)8000, bitrate=(int){ 16000, 24000, 32000, 40000 }, block_align=(int){ 2, 3, 4, 5 }, layout=(string)g726

## Functions

## Types and Values

### struct GstRtpG726Depay

    struct GstRtpG726Depay;

## Property Details

### The `“force-aal2”` property

      “force-aal2”               gboolean

Force AAL2 decoding for compatibility with bad payloaders.

Flags: Read / Write

Default value: TRUE